Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class ClassUtils

    java.lang.Object
      org.apache.axis.utils.ClassUtils

public final class ClassUtils
extends Object

Utility methods for Class Loading.

Author:
  Davanum Srinvas (dims@yahoo.com)

Constructor Summary
`ClassUtils()`

Method Summary
`static Class` | `forName(String className)` Use this method instead of Class.forName
`static Class` | `forName(String _className, boolean init, ClassLoader _loader)` Use this method instead of Class.forName (String className, boolean init, ClassLoader loader)
`static ClassLoader` | `getClassLoader(String className)` Obtain the ClassLoader (if any) associated with the given className.
`static InputStream` | `getResourceAsStream(Class clazz, String resource)`
`static void` | `removeClassLoader(String className)` Deregister the ClassLoader for a given className.
`static void` | `setClassLoader(String className, ClassLoader loader)` Set the ClassLoader associated with the given className.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassUtils

    public ClassUtils()

Method Detail

### setClassLoader

    public static void setClassLoader(String className,
                                      ClassLoader loader)

  Set the ClassLoader associated with the given className.

  Parameters:
    `className` - the name of a class

### getClassLoader

    public static ClassLoader getClassLoader(String className)

  Obtain the ClassLoader (if any) associated with the given className.

  Parameters:
    `className` - the name of a class
  Returns:
    class loader

### removeClassLoader

    public static void removeClassLoader(String className)

  Deregister the ClassLoader for a given className.

  Parameters:
    `className` - the name of a class

### forName

    public static Class forName(String className)
                         throws ClassNotFoundException

  Use this method instead of Class.forName

  Parameters:
    `className` - Class name
  Returns:
    java class
  Throws:
    `ClassNotFoundException` - if the class is not found

### forName

    public static Class forName(String _className,
                                boolean init,
                                ClassLoader _loader)
                         throws ClassNotFoundException

  Use this method instead of Class.forName (String className, boolean init, ClassLoader loader)

  Throws:
    `ClassNotFoundException`

### getResourceAsStream

    public static InputStream getResourceAsStream(Class clazz,
                                                  String resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.